Bug 505255 - Global search and replace not working properly in lokalize application
Global search and replace not working properly in lokalize application
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kdesdk (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
: i18n
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-11 04:08 EDT by Amitakhya Phukan
Modified: 2009-09-12 19:27 EDT (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-12 19:27:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Amitakhya Phukan 2009-06-11 04:08:30 EDT
Description of problem:

Till Fedora 10, I found that if I highlight a word or just an alphabet in a word and then hit ctrl+r, it takes me to search and replace window with the highlighted part of the text already filled-in in the "Find" field. You just type the replacement text in the "Replace" field and then select different options. For a global replacement (across the entire file), you de-select "Prompt on replace". Then hit "Replace" and all the instances of the word/s you want to replace, gets replaced in the entire file.

Since a past few weeks, I have noticed that once you hit ctrl+r, the search and find window opens but the highlighted text is not automatically filled in the "Find" field. Second, even if you want to replace a word globally in a file, it just replaces those instances that appear in the current string number and not in the entire file.

Not sure if its a bug or a feature newly introduced.


Version-Release number of selected component (if applicable):

kkdesdk-utils-4.2.3-2.fc11.i586
kdesdk-libs-4.2.3-2.fc11.i586
kdesdk-4.2.3-2.fc11.i586

How reproducible:


Steps to Reproduce:
1. Open a po file of any language; I used an Assamese file for translation.
2. Select a word or a part of a word that you know exists more than once across multiple strings in that particular file.
3. Hit ctrl+r to take you to the Search and replace window.
4. The selected portion is not automatically filled-in in the "Find" field.
5. Global replace doesn't affect the whole file.
  
Actual results:

Search and replace globally is not working properly in Lokalize.

Expected results:

Search and replace globally should work like any other KDE application like kwrite.

Additional info:

Happens with Lokalize only;at least uptil now.
Comment 1 Steven M. Parrish 2009-07-22 08:14:06 EDT
Thank you for taking the time to report this issue.

This is an issue that needs to be addressed by the upstream developers. Please report this at http://bugs.kde.org and then add the upstream report information to this report.  We will monitor the upstream report for a resolution to this issue, and will review any bug fixes that become available for consideration in future updates.

Setting status to NEEDINFO, and awaiting upstream bug report URL for tracking.

Thanks in advance.

-- 
Steven M. Parrish - KDE Triage Master
                  - PackageKit Triager
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 2 Steven M. Parrish 2009-09-12 19:27:34 EDT
Since there are insufficient details provided in this report for us to investigate the issue further, and we have not received feedback to the information we have requested above, we will assume the problem was not reproducible, or has been fixed in one of the updates we have released for the reporter's distribution.

Users who have experienced this problem are encouraged to upgrade to the latest update of their distribution, and if this issue turns out to still be reproducible in the latest update, please reopen this bug with additional information.

Closing as INSUFFICIENT_DATA.

-- 
Steven M. Parrish - KDE Triage Master
                  - PackageKit Triager
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Note You need to log in before you can comment on or make changes to this bug.